<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitControllerSubscriptions extends JControllerLegacy {

    public function getModel($name = 'Subscriptions', $prefix = 'CrossfitModel', $config = array('ignore_request' => true)) {
        return parent::getModel($name, $prefix, $config);
    }

    public function publish() {
        $model = $this->getModel();
        $model->publish();
    }

    public function unpublish() {
        $model = $this->getModel();
        $model->unpublish();
    }

    public function cancel() {
        $mainframe = JFactory::getApplication();
        $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions');
    }

    public function save() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jform'];

        $model = $this->getModel();
        if ($model->save()) {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('Abbonamento modificato correttamente');
            } else {
                $mainframe->enqueueMessage('Nuovo abbonamento aggiunto correttamente');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions');
        } else {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('ATTENZIONE: abbonamento non modificato correttamente', 'error');
            } else {
                $mainframe->enqueueMessage('ATTENZIONE: Nuovo abbonamento non aggiunto', 'error');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $post['idSubscription']);
        }
    }

    public function save2new() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jform'];

        $model = $this->getModel();
        if ($model->save()) {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('Abbonamento modificato correttamente');
            } else {
                $mainframe->enqueueMessage('Nuovo abbonamento aggiunto correttamente');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit');
        } else {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('ATTENZIONE: abbonamento non modificato correttamente', 'error');
            } else {
                $mainframe->enqueueMessage('ATTENZIONE: Nuovo abbonamento non aggiunto', 'error');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $post['idSubscription']);
        }
    }

    public function apply() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jform'];

        $model = $this->getModel();
        if ($model->save()) {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('Abbonamento modificato correttamente');
                $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $post['idSubscription']);
            } else {
                $mainframe->enqueueMessage('Nuovo abbonamento aggiunto correttamente');
                $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $model->insertedId);
            }
        } else {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('ATTENZIONE: abbonamento non modificato correttamente', 'error');
            } else {
                $mainframe->enqueueMessage('ATTENZIONE: Nuovo abbonamento non aggiunto', 'error');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $post['idSubscription']);
        }
    }

    public function add() {
        $mainframe = JFactory::getApplication();
        $mainframe->redirect("index.php?option=com_crossfit&view=subscriptions&layout=edit");
    }

    public function edit() {
        $id = JRequest::getVar("cid");

        $mainframe = JFactory::getApplication();
        $mainframe->redirect("index.php?option=com_crossfit&view=subscriptions&layout=edit&id=" . $id[0]);
    }

    public function delete() {
        $ids = JRequest::getVar("cid");

        if ($ids) {
            $model = $this->getModel();
            foreach ($ids as $id) {
                $model->delete($id);
            }
        }

        $mainframe = JFactory::getApplication();
        $mainframe->enqueueMessage(count($ids) . (count($ids) == 1 ? ' abbonamento eliminato' : ' abbonamenti eliminati'));
        $mainframe->redirect("index.php?option=com_crossfit&view=subscriptions");
    }

}
