<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.fields.list');

class JFormFieldMembershipStartDate extends JFormFieldList {

    protected $type = 'MembershipStartDate';

    public function getInput() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("YEAR(datainizio) as anno, MONTH(datainizio) as mese")
                ->from($db->quoteName("#__crossfit_memberships"))
                ->where("YEAR(datainizio) != 0 AND MONTH(datainizio) != 0")
                ->group("anno, mese")
                ->order("anno DESC, mese DESC");

        $db->setQuery($query);

        ob_start();
        ?>
        <select id="<?php echo $this->id ?>" name="<?php echo $this->name ?>" <?php echo $this->onchange ? "onchange='{$this->onchange}'" : null ?>>
            <option <?php echo (!$this->value ? "selected='selected'" : null) ?> value=''>- Data di iscrizione</option>
            <?php if ($results = $db->loadObjectList()) { ?>
                <?php foreach ($results as $v) { ?>
                    <option value='<?php echo $v->anno . "-" . str_pad($v->mese, 2, "0", STR_PAD_LEFT) . "' " . ($this->value == "{$v->anno}-" . str_pad($v->mese, 2, "0", STR_PAD_LEFT) ? "selected='selected'" : "") ?>'>
                        <?php echo JFactory::getDate("{$v->anno}-" . str_pad($v->mese, 2, "0", STR_PAD_LEFT) . "-01")->format("F Y") ?>
                    </option>
                <?php } ?>
            <?php } ?>
        </select>
        <?php
        return ob_get_clean();
    }

}
?>