<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldSubscriptionType extends JFormField {

    protected $type = 'SubscriptionType';

    public function getInput() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("idSubscription, nome, prezzo, mesi, adIngressiTotali")
                ->from($db->quoteName("#__crossfit_subscriptions"))
                ->where("published = 1")
                ->order("nome ASC");

        $db->setQuery($query);
        $results = $db->loadObjectList();

        if (JRequest::getVar("view") == "user") {
            $document = JFactory::getDocument();
            $document->addScriptDeclaration("
            jQuery(document).ready(function($){
                    $('#{$this->id}').change(function(){
                            $('#jformSubscription_prezzo').val($(this).find('option:selected').data('prezzo'));
                            calculateEndDate();
                    });
            });");
        }

        ob_start();
        ?>
        <select id="<?php echo $this->id ?>" name="<?php echo $this->name ?>" class="<?php echo ($this->value ? "active" : null) ?>" <?php echo $this->onchange ? "onchange='{$this->onchange}'" : null ?>>
            <option <?php echo (!$this->value ? "selected='selected'" : "") ?> value=''> - Tipologia di abbonamento - </option>
            <?php
            if ($results) {
                foreach ($results as $v) {
                    ?>
                    <option value='<?php echo $v->idSubscription ?>' data-prezzo='<?php echo $v->prezzo ?>' data-mesi='<?php echo $v->mesi ?>' data-ingressitotali='<?php echo $v->adIngressiTotali ?>' <?php echo ($this->value == $v->idSubscription ? "selected='selected'" : "") ?>><?php echo $v->nome ?></option>
                    <?php
                }
            }
            ?>
        </select>
        <?php
        return ob_get_clean();
    }

}
?>