<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select');

$listOrder     = $this->escape($this->state->get('list.ordering'));
$listDirn      = $this->escape($this->state->get('list.direction'));
?>
<form action="index.php?option=com_crossfit&view=subscriptionsusers" method="post" id="adminForm" name="adminForm">
	<div class="row-fluid">
		<div class="span6">
			Ricerca abbonamento
			<?php
				echo JLayoutHelper::render(
					'joomla.searchtools.default',
					array('view' => $this)
				);
			?>
		</div>
	</div>
	<table class="table table-striped table-hover">
		<thead>
		<tr>
			<th width="1%">#</th>
			<th width="2%">
				<?=JHtmlGrid::checkall()?>
			</th>
			<th width="10%">
				<?=JHtmlGrid::sort('Nome Iscritto', 'nomeIscritto', $listDirn, $listOrder)?>
			</th>
			<th width="10%">
				<?=JHtmlGrid::sort('Nome Abbonamento', 'nomeAbbonamento', $listDirn, $listOrder);?>
			</th>
			<th width="8%">
				<?=JHtmlGrid::sort('Data di inizio', 'dataInizio', $listDirn, $listOrder);?>
			</th>
			<th width="8%">
				<?=JHtmlGrid::sort('Data di scadenza', 'dataScadenza', $listDirn, $listOrder);?>
			</th>
			<th width="5%">
				Prezzo
			</th>
			<th width="7%">
				Aggiuntivi
			</th>
			<th>
				Note
			</th>
			<th width="5%" style='text-align: center'>
				Pagato
			</th>
			<th width="5%" style='text-align: center'>
				Sospeso
			</th>
			<th width="5%" style='text-align: center'>
				Attivo
			</th>
		</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="11">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<?php if (!empty($this->items)) : ?>
				<?php foreach ($this->items as $i => $row) :
					$link = JRoute::_('index.php?option=com_crossfit&view=user&layout=usersubscription&idUser='.$row->idUser.'&idSU=' . $row->idSU);
				?>
					<tr>
						<td><?php echo $this->pagination->getRowOffset($i); ?></td>
						<td>
							<?php echo JHtml::_('grid.id', $i, $row->idSU); ?>
						</td>
						<td>
							<a href="<?php echo $link; ?>" title="Nome abbonamento">
								<?=$row->nomeIscritto?>
							</a>
						</td>
						<td>
							<?=$row->nomeAbbonamento?>
						</td>
						<td>
							<?=date('d/m/Y', strtotime($row->dataInizio))?>
						</td>
						<td>
							<?=date('d/m/Y', strtotime($row->dataScadenza))?>
						</td>
						<td>
							<?=$row->prezzo?> €
						</td>
						<td>
							<?=$row->giorniAggiuntivi?>
						</td>
						<td>
							<?=$row->note?>
						</td>
						<td style='text-align: center'>
							<?php if($row->pagato == $row->prezzo) { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Pagato'><span class='icon-publish'></span></a>
							<?php } elseif($row->pagato == 0) { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Pagamento non effetuato'><span class='icon-unpublish'></span></a>
							<?php } elseif($row->pagato < $row->prezzo) { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Acconto di <?=$row->pagato?> €'><span class='icon-pending'></span></a>
							<?php } ?>
						</td>
						<td style='text-align: center'>
							<?php if($row->sospeso) { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Abbonamento sospeso per <?=$row->giorniSospensione?> giorni'><span class='icon-pending'></span></a>
							<?php } ?>
						</td>
						<td style='text-align: center'>
							<?php if(strtotime($row->dataScadenza) >= strtotime($row->dataInizio)) { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Abbonamento attivo (Scadenza: <?=date('d/m/Y', strtotime($row->dataScadenza))?>)'><span class='icon-publish'></span></a>
							<?php } else { ?>
								<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Abbonamento attivo (Scadenza: <?=date('d/m/Y', strtotime($row->dataScadenza))?>)'><span class='icon-unpublish'></span></a>
							<?php } ?>
						</td>
					</tr>
				<?php endforeach; ?>
			<?php endif; ?>
		</tbody>
	</table>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
	<?php echo JHtml::_('form.token'); ?>
</form>