<?php
defined('_JEXEC') or die;
JHtml::_('behavior.formvalidator');

$document = JFactory::getDocument();
$document->addScriptDeclaration('
jQuery(function($) {
    $("#addSubscription").click(function(){
            $("fieldset.subscriptionform").slideToggle(function(){
                    if($(this).is(":visible")) {
                            $("#addSubscription").html("<span class=\'icon-delete icon-white\'></span> Chiudi");
                    } else {
                            $("#addSubscription").html("<span class=\'icon-new icon-white\'></span> Aggiungi abbonamento");
                    }
            });
    });
    $(document).bind("change paste", "#jformSubscription_giorniAggiuntivi, #jformSubscription_sospeso, #jformSubscription_giorniSospensione", function(){
        calculateEndDate();
    });
    $(document).on("click", ".calendar .day", function(){
        calculateEndDate();
    });
    $(document).bind("change paste", "#jformSubscription_prezzo, #jformSubscription_pagatoS", function(){
        calulateSaldo();
    });
    
    $("#jformSubscription_dataScadenzaReale").parents(".control-group").hide();
    
    $(document).on("change", "#jformSubscription_idSubscription", function(){
        if($(this).find("option:selected").data("ingressitotali")) {
            $("#jformSubscription_dataScadenzaS").parents(".control-group").hide();
            $("#jformSubscription_giorniAggiuntivi").parents(".control-group").hide();
            $("#jformSubscription_dataScadenzaReale").parents(".control-group").show();        
        } else {
            $("#jformSubscription_dataScadenzaS").parents(".control-group").show();
            $("#jformSubscription_giorniAggiuntivi").parents(".control-group").show();
            $("#jformSubscription_dataScadenzaReale").parents(".control-group").hide();
        
        }
    });
});

function calculateEndDate() {
	if(jQuery("#jformSubscription_dataInizioS").val() == "") return;
	var mesi 				= parseInt(jQuery("#jformSubscription_idSubscription option:selected").data("mesi")) || 0;
	var giorniAggiuntivi 	= parseInt(jQuery("#jformSubscription_giorniAggiuntivi").val()) || 0;
	var giorniSospensione 	= parseInt(jQuery("#jformSubscription_giorniSospensione").val()) || 0;

    var data = jQuery("#jformSubscription_dataInizioS").val();
    data = data.split("/");
    data = new Date(data[2] + "-" + data[1] + "-" + data[0]);

	data.setMonth(data.getMonth() + mesi);
	data.setDate(data.getDate() + giorniAggiuntivi);
	
	if(jQuery("#jformSubscription_sospeso").is(":checked")) {
            data.setDate(data.getDate() + giorniSospensione);
	}
	
	var newYear = data.getFullYear(), newMonth = data.getMonth()+1, newDate = data.getDate();
	
	newDate 	= (newDate < 10 ? "0" + newDate : newDate);
	newMonth 	= (newMonth < 10 ? "0" + newMonth : newMonth);
	
	jQuery("#jformSubscription_dataScadenzaS").val(newDate + "/" + newMonth + "/" + newYear);
}

function calulateSaldo() {
    var saldoTotale = parseInt(jQuery("#jformSubscription_prezzo").val()) || 0;
    var saldoNuovo  = parseInt(jQuery("#jformSubscription_pagatoS").val()) || 0;
    
    jQuery("#jformSubscription_daPagare").val(saldoTotale - saldoNuovo);
}
');
?>


<?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
    <?php if (!empty($this->subscriptions)) : ?>
        <div style="padding: 15px 0">
            <a href="javascript:void(0);" id="addSubscription" class="btn btn-small btn-success"><span class="icon-new icon-white"></span> Aggiungi abbonamento</a>
        </div>
    <?php endif; ?>
<?php } ?>

<fieldset class="subscriptionform" style='display: <?php echo empty($this->subscriptions) ? "block" : "none" ?>'>
    <div class="row-fluid">
        <div class="span6">
            <?php foreach ($this->subscriptionForm->getFieldset() as $field): ?>
                <div class="control-group">
                    <div class="control-label"><?php echo $field->label; ?></div>
                    <div class="controls"><?php echo $field->input; ?></div>
                </div>
            <?php endforeach; ?>
            <div>
                <div>
                    </fieldset>

                    <?php if (!empty($this->subscriptions)) : ?>
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th width="1%">#</th>
                                    <th width="15%">
                                        Tipologia
                                    </th>
                                    <th width="8%">
                                        Data di inizio
                                    </th>
                                    <th width="8%">
                                        Data di scadenza
                                    </th>
                                    <th width="5%">
                                        Prezzo
                                    </th>
                                    <th width="5%" style='text-align: center'>
                                        Pagato
                                    </th>
                                    <th width="8%" style='text-align: center'>
                                        Attivo
                                    </th>
                                    <th width="" style='text-align: center'></th>

                                    <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                                        <th width="6%" style='text-align: center'></th>
                                        <th width="6%" style='text-align: center'></th>
                                    <?php } ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach ($this->subscriptions as $i => $row) : ?>
                                    <tr>
                                        <td><?php echo $i + 1 ?></td>
                                        <td>
                                            <?php echo $row->nome ?>
                                        </td>
                                        <td>
                                            <?php echo ($row->dataInizioS ? date('d/m/Y', strtotime($row->dataInizioS)) : "") ?>
                                        </td>
                                        <td>
                                            <?php if (strtotime($row->dataScadenzaReale) > 0) { ?>
                                                <?php echo date('d/m/Y', strtotime($row->dataScadenzaReale)) ?>
                                            <?php } else { ?>
                                                <?php echo ($row->dataInizioS ? date('d/m/Y', strtotime($row->dataScadenzaS)) : "") ?>
                                            <?php } ?>
                                        </td>
                                        <td>
                                            <?php echo $row->prezzo ?> €
                                        </td>
                                        <td  style='text-align: center'>
                                            <?php if ($row->pagatoS == 0) { ?>
                                                <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Segnala come pagato'><span class='icon-unpublish'></span></a>
                                            <?php } elseif ($row->pagatoS < $row->prezzo) { ?>
                                                <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Acconto di <?php echo $row->pagatoS ?> €. Segnala come pagato'><span class='icon-pending'></span></a>
                                            <?php } else { ?>
                                                <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Pagato'><span class='icon-publish'></span></a>
                                            <?php } ?>
                                        </td>
                                        <td style='text-align: center'>
                                            <?php if ($row->sospeso) { ?>
                                                <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Sospeso'><span class='icon-pending'></span></a>
                                            <?php } else { ?>
                                                <?php if (strtotime($row->dataScadenzaReale . " 23:59:59") > 0) { ?>
                                                    <?php if (strtotime($row->dataScadenzaReale . " 23:59:59") < time()) { ?>
                                                        <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Scaduto'><span class='icon-unpublish'></span></a>
                                                    <?php } else { ?>
                                                        <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Attivo'><span class='icon-publish'></span></a>
                                                    <?php } ?>
                                                <?php } elseif (strtotime($row->dataScadenzaS . " 23:59:59") > 0) { ?>
                                                    <?php if (strtotime($row->dataScadenzaS . " 23:59:59") < time()) { ?>
                                                        <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Scaduto'><span class='icon-unpublish'></span></a>
                                                    <?php } else { ?>
                                                        <a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Attivo'><span class='icon-publish'></span></a>
                                                    <?php } ?>

                                                <?php } ?>
                                            <?php } ?>
                                        </td>
                                        <td></td>
                                        <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                                            <td style='text-align: right'>
                                                <a href='index.php?option=com_crossfit&view=user&layout=usersubscription&idUser=<?php echo $row->idUser ?>&idSU=<?php echo $row->idSU ?>' class='btn btn-micro hasTooltip' data-original-title='Modifica' >
                                                    <span class='icon-edit'></span> Modifica
                                                </a>
                                            </td>
                                            <td style='text-align: left'>
                                                <a href='index.php?option=com_crossfit&task=usersubscription.delete&idSU=<?php echo $row->idSU ?>&idUser=<?php echo $row->idUser ?>' class='btn btn-micro hasTooltip' data-original-title='Elimina' onclick="return confirm('Vuoi eliminare l\'abbonamento selezionato?')">
                                                    <span class='icon-unpublish'></span> Elimina
                                                </a>
                                            </td>
                                        <?php } ?>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    <?php endif; ?>