<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldPalestreLocations extends JFormField {

    protected $type = 'PalestreLocations';

    public function getInput() {

        if (!$this->value) {
            $this->value = CrossfitHelper::getActualIdPalestra();
        }
        $this->value = intval($this->value);
        $this->palestre = CrossfitHelper::getLocation();

        if (CrossfitHelper::isConsultazione()) {
            $palestreConsultazione = CrossfitHelper::getPalestreConsultazione();
            foreach ($palestreConsultazione as $palestra) {
                $ids[] = $palestra->id;
            }
        }

        ob_start();
        ?>
        <select id="<?php echo $this->id ?>" name="<?php echo $this->name ?>" class="<?php echo ($this->value ? "active" : null) ?>" <?php echo $this->onchange ? "onchange='{$this->onchange}'" : null ?>>

            <?php if ((CrossfitHelper::isConsultazione() && count($ids) != 1) || !CrossfitHelper::isConsultazione()) { ?>
                <option <?php echo (!$this->value ? "selected='selected'" : "") ?> value='0'>- Seleziona box -</option>
            <?php } ?>

            <?php if ($this->palestre) { ?>
                <?php foreach ($this->palestre as $id => $v) { ?>
                    <?php if ((CrossfitHelper::isConsultazione() && $ids && in_array($id, $ids)) || !CrossfitHelper::isConsultazione()) { ?>
                        <option value='<?php echo $id ?>' <?php echo ($this->value == $id ? "selected='selected'" : "") ?>><?php echo $v ?></option>
                    <?php } ?>
                <?php } ?>
            <?php } ?>
        </select>
        <?php
        return ob_get_clean();
    }

}
?>