<div class="clearfix tab-content analytics bootstrap-container">
    <div class="row">
        <div class="col-sm-12 col-xs-12 text-center">
            <?php if ($this->palestre && !CrossfitHelper::isConsultazione()) { ?>
                <form name="" action="<?php echo JRoute::_("index.php") ?>" method="GET">
                    <label for="idPalestra">Box:</label>
                    <select name="idPalestra" id="idPalestra" onchange="this.form.submit();">
                        <option value="0" <?php echo ($this->idPalestra == 0 || !$this->idPalestra ? "selected" : null) ?>>- Seleziona box -</option>
                        <?php foreach ($this->palestre as $id => $palestra) { ?>
                            <option value="<?php echo $id ?>" <?php echo ($this->idPalestra == $id ? "selected" : null) ?>><?php echo $palestra ?></option>
                        <?php } ?>
                    </select>
                    <input type="hidden" name="option" value="com_crossfit" />
                    <input type="hidden" name="view" value="dashboard" />
                </form>
            <?php } ?>
        </div>
        <div class='col-sm-6 col-xs-12'>
            <h2>Abbonamenti</h2>
            <ul class="list-unstyled row">
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='success'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=1<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-eur'></i><div><strong class='increment' data-value='<?php echo $this->abbonamentiAttivi ?>'>0</strong><span>Attivi</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='error'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=2<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-exclamation-triangle'></i><div><strong class='increment' data-value='<?php echo $this->abbonamentiScaduti ?>'>0</strong><span>Scaduti</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=4<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-clock-o'></i><div><strong class='increment' data-value='<?php echo $this->abbonamentiSospesi ?>'>0</strong><span>Sospesi</span></div>
                        </a>
                    </div>
                </li>
            </ul>
            <h2>Tipologie di abbonamento</h2>
            <ul class="list-unstyled row">
                <?php if ($this->tipologieAbbonamento['mensili']) { ?>
                    <?php foreach ($this->tipologieAbbonamento['mensili'] as $mese => $count) { ?>
                        <li class='col-md-6 col-sm-6 col-xs-6'>
                            <div class='success text-center'>
                                <div style="width: 100%;">
                                    <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=1&filter[idSubscription]=MTH-<?php echo $mese ?><?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                                        <strong class='increment' data-value='<?php echo $count ?>'>0</strong><span><?php echo $this->arrayMensilita[$mese] ?></span>
                                    </a>
                                </div>
                            </div>
                        </li>
                    <?php } ?>
                <?php } ?>
            </ul>
            <ul class="list-unstyled row" style="margin-top: 15px;">
                <li class='col-md-6 col-sm-6 col-xs-6'>
                    <div class='info text-center'>
                        <div style="width: 100%;">
                            <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=1&filter[idSubscription]=<?php echo $this->idSubscriptions['kids'] ?><?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                                <strong class='increment' data-value='<?php echo $this->tipologieAbbonamento['kids'] ?>'>0</strong><span>Kids</span>
                            </a>
                        </div>
                    </div>
                </li>
                <li class='col-md-6 col-sm-6 col-xs-6'>
                    <div class='info text-center'>
                        <div style="width: 100%;">
                            <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=1&filter[idSubscription]=<?php echo $this->idSubscriptions['teen'] ?><?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                                <strong class='increment' data-value='<?php echo $this->tipologieAbbonamento['teen'] ?>'>0</strong><span>Teen</span>
                            </a>
                        </div>
                    </div>
                </li>
                <li class='col-md-6 col-sm-6 col-xs-6'>
                    <div class='info text-center'>
                        <div style="width: 100%;">
                            <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=1&filter[idSubscription]=<?php echo $this->idSubscriptions['elements'] ?><?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                                <strong class='increment' data-value='<?php echo $this->tipologieAbbonamento['elements'] ?>'>0</strong><span>Elements</span>
                            </a>
                        </div>
                    </div>
                </li>
                <li class='col-md-6 col-sm-6 col-xs-6'>
                    <div class='info text-center'>
                        <div style="width: 100%;">
                            <a href='index.php?option=com_crossfit&view=users&filter[idSubscription]=CUSTOM-01<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                                <strong class='increment' data-value='<?php echo $this->tipologieAbbonamento['ingressiTotali'] ?>'>0</strong><span>Ad ingressi complessivi</span>
                            </a>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
        <div class='col-sm-6 col-xs-12'>
            <h2>Abbonamenti in scadenza</h2>
            <ul class="list-unstyled row">
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=5<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-calendar-o'><span>7</span></i><div><strong class='increment' data-value='<?php echo $this->scadenza7 ?>'>0</strong><span>7 giorni</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=6<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-calendar-o'><span>15</span></i><div><strong class='increment' data-value='<?php echo $this->scadenza15 ?>'>0</strong><span>15 giorni</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoAbbonamento]=7<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-calendar-o'><span>30</span></i><div><strong class='increment' data-value='<?php echo $this->scadenza30 ?>'>0</strong><span>30 giorni</span></div>
                        </a>
                    </div>
                </li>
            </ul>
            <h2>Quote associative</h2>
            <ul class="list-unstyled row">
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='info'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoIscrizioni]=1<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-user'></i><div><strong class='increment' data-value='<?php echo $this->iscrizioniAttive ?>'>0</strong><span>Attive</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='error'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoIscrizioni]=2<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-clock-o'></i><div><strong class='increment' data-value='<?php echo $this->iscrizioniScadute ?>'>0</strong><span>Scadute</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoIscrizioni]=5<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-calendar-o'><span>7</span></i><div><strong class='increment' data-value='<?php echo $this->iscrizioni7 ?>'>0</strong><span>7 giorni</span></div>
                        </a>
                    </div>
                </li>
                <li class='col-md-6 col-sm-12 col-xs-12'>
                    <div class='warning'>
                        <a href='index.php?option=com_crossfit&view=users&filter[statoIscrizioni]=6<?php echo $this->idPalestra ? "&filter[idPalestra]=" . $this->idPalestra : null ?>'>
                            <i class='fa fa-fw fa-calendar-o'><span>15</span></i><div><strong class='increment' data-value='<?php echo $this->iscrizioni15 ?>'>0</strong><span>15 giorni</span></div>
                        </a>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div class="row" style="margin-top: 30px;">
        <div class="col-lg-8 col-lg-offset-2 col-sm-12 col-xs-12">
            <div id="expenses"></div>
        </div>
    </div>
</div>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

<script type="text/javascript">
                        google.charts.load('current', {'packages': ['corechart'], 'language': 'it'});
                        google.charts.setOnLoadCallback(drawChart);
                        function drawChart() {
                            var data = google.visualization.arrayToDataTable([
                                ['Mesi', '<?php echo date("Y") ?>', '<?php echo date("Y") - 1 ?>'],
                                ['Gennaio', <?php echo $this->getSalesOfMonth(1) ?>, <?php echo $this->getSalesOfMonth(1, date("Y") - 1) ?>],
                                ['Febbraio', <?php echo $this->getSalesOfMonth(2) ?>, <?php echo $this->getSalesOfMonth(2, date("Y") - 1) ?>],
                                ['Marzo', <?php echo $this->getSalesOfMonth(3) ?>, <?php echo $this->getSalesOfMonth(3, date("Y") - 1) ?>],
                                ['Aprile', <?php echo $this->getSalesOfMonth(4) ?>, <?php echo $this->getSalesOfMonth(4, date("Y") - 1) ?>],
                                ['Maggio', <?php echo $this->getSalesOfMonth(5) ?>, <?php echo $this->getSalesOfMonth(5, date("Y") - 1) ?>],
                                ['Giugno', <?php echo $this->getSalesOfMonth(6) ?>, <?php echo $this->getSalesOfMonth(6, date("Y") - 1) ?>],
                                ['Luglio', <?php echo $this->getSalesOfMonth(7) ?>, <?php echo $this->getSalesOfMonth(7, date("Y") - 1) ?>],
                                ['Agosto', <?php echo $this->getSalesOfMonth(8) ?>, <?php echo $this->getSalesOfMonth(8, date("Y") - 1) ?>],
                                ['Settembre', <?php echo $this->getSalesOfMonth(9) ?>, <?php echo $this->getSalesOfMonth(9, date("Y") - 1) ?>],
                                ['Ottobre', <?php echo $this->getSalesOfMonth(10) ?>, <?php echo $this->getSalesOfMonth(10, date("Y") - 1) ?>],
                                ['Novembre', <?php echo $this->getSalesOfMonth(11) ?>, <?php echo $this->getSalesOfMonth(11, date("Y") - 1) ?>],
                                ['Dicembre', <?php echo $this->getSalesOfMonth(12) ?>, <?php echo $this->getSalesOfMonth(12, date("Y") - 1) ?>],
                            ]);
                            var options = {
                                title: 'Andamento vendita abbonamenti',
                                animation: {
                                    startup: true,
                                    duration: 2000,
                                    easing: "inAndOut"
                                },
                                legend: {
                                    position: 'bottom'
                                },
                                vAxis: {
                                    format: 'currency',
                                    gridlines: {
                                        count: 7
                                    },
                                    minorGridlines: {
                                        count: 1
                                    },
                                    viewWindowMode: 'explicit'
                                },
                                height: 600,
                                series: {
                                    1: {
                                        lineDashStyle: [6, 4]
                                    }
                                }
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('expenses'));
                            var formatter = new google.visualization.NumberFormat({decimalSymbol: ',', groupingSymbol: '.', negativeColor: 'red', negativeParens: true, prefix: '€ '});
                            formatter.format(data, 1);
                            formatter.format(data, 2);
                            chart.draw(data, options);
                        }
</script>



<?php
$doc = JFactory::getDocument();
$doc->addStyleSheet('https://maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css');
?>

<script>
    jQuery(document).ready(function () {
        window.incrementA = new Array();
        jQuery(".increment").each(function (index) {
            var $el = jQuery(this), value = jQuery(this).data('value'), isInt = true;
            if (isNaN(parseFloat(value)))
                return;
            if (value % 1 !== 0)
                isInt = false;
            jQuery(this).html(0);
            jQuery({integer: 0}).stop().animate({integer: value}, {
                duration: 1250,
                step: function () {
                    if (isInt)
                        $el.text(Math.round(this.integer));
                    else
                        $el.text((Math.round(this.integer * 100) / 100).toFixed(2).replace(".", ","));
                },
            }).promise().done(function () {
                if (isInt)
                    $el.text(value);
                else
                    $el.text(((value * 100) / 100).toFixed(2).replace(".", ","));
            });
        });
    });
</script>
<style>
    .analytics a:hover {color: inherit; text-decoration: none}
    .analytics h2 {margin-top: 0; margin-bottom: 15px; padding-bottom: 15px; border-bottom: 1px solid #ddd}
    .analytics ul {display: flex; flex-flow: wrap; margin: 0;}
    .analytics ul.list-unstyled + h2 {margin-top: 15px;}
    .analytics ul li > div {display: flex; justify-content: flex-start; align-items: center; color: rgba(255, 255, 255, 0.85); padding: 15px; box-sizing: border-box; background: #20A8D8; -webkit-box-shadow: 0px 0px 5px 0px rgba(17, 17, 17, 0.75); box-shadow: 0px 0px 5px 0px rgba(17, 17, 17, 0.75); -moz-box-shadow: 0px 0px 5px 0px rgba(17, 17, 17, 0.75);}
    .analytics ul li > div.warning  {background: #FABB3D}
    .analytics ul li > div.error    {background: #FF5454}
    .analytics ul li > div.success  {background: #79C447}
    .analytics ul li > div a {display: flex; justify-content: flex-start; align-items: center; width: 100%; color: inherit; text-decoration: none}
    .analytics ul li > div .fa {text-align: center; display: block; position: relative; font-size: 55px; line-height: 1; padding-right: 20px; margin-right: 20px; border-right: 2px solid rgba(255, 255, 255, 0.15)}
    .analytics ul li > div .fa span {position: absolute; top: 22px; left: -1px; font-weight: bold; font-size: 29px; width: 100%; padding-right: 15px; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif}
    .analytics ul li > div div {height: 100%; width: calc(100% - 90px)}
    .analytics ul li > div div * {display: block; text-align: center}
    .analytics ul li > div div strong {font-size: 52px; line-height: 38px; margin-bottom: 10px}
    @media screen and (min-width: 991px) {
        .analytics ul li.col-md-6:nth-of-type(n + 3) {margin-top: 15px}
    }
    @media screen and (max-width: 991px) {
        .analytics .col-sm-12 + .col-sm-12 {margin-top: 15px}
        .analytics li.col-sm-6:nth-of-type(n+3) {margin-top: 15px}
    }
    @media screen and (max-width: 767px) {
        .analytics .col-xs-12 + .col-xs-12 {margin-top: 15px}
        .analytics .col-xs-6:nth-of-type(n+3) {margin-top: 15px}
    }
</style>