<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select');

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
?>
<form action="index.php?option=com_crossfit&view=subscriptions" method="post" id="adminForm" name="adminForm">
    <div class="row-fluid">
        <div class="span12">
            Ricerca abbonamento
            <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        </div>
    </div>
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th width="1%">#</th>
                <th width="2%">
                    <?php echo JHtmlGrid::checkall() ?>
                </th>
                <th width="10%">
                    <?php echo JHtmlGrid::sort('Nome', 'nome', $listDirn, $listOrder) ?>
                </th>
                <th width="6%">
                    <?php echo JHtmlGrid::sort('Prezzo', 'prezzo', $listDirn, $listOrder); ?>
                </th>
                <th width="6%">
                    <?php echo JHtmlGrid::sort('Durata', 'mesi', $listDirn, $listOrder); ?>
                </th>
                <th width="6%">
                    <?php echo JHtmlGrid::sort('Ingressi', 'ingressi', $listDirn, $listOrder); ?>
                </th>
                <th width="">
                    <?php echo JHtmlGrid::sort('Descrizione', 'descrizione', $listDirn, $listOrder); ?>
                </th>

                <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                    <th width="5%" style="text-align: center">
                        <?php echo JHtmlGrid::sort('Pubblicato', 'published', $listDirn, $listOrder); ?>
                    </th>
                <?php } ?>
                <th width="3%" align="center">
                    <?php echo JHtmlGrid::sort('ID', 'idSubscription', $listDirn, $listOrder); ?>
                </th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <td colspan="9">
                    <?php echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php if (!empty($this->items)) : ?>
                <?php
                foreach ($this->items as $i => $row) :
                    $link = JRoute::_('index.php?option=com_crossfit&view=subscriptions&layout=edit&id=' . $row->idSubscription);
                    ?>
                    <tr>
                        <td><?php echo $this->pagination->getRowOffset($i); ?></td>
                        <td>
                            <?php echo JHtml::_('grid.id', $i, $row->idSubscription); ?>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="Nome abbonamento">
                                <?php echo $row->nome ?>
                            </a>
                        </td>
                        <td>
                            <?php echo $row->prezzo ?> €
                        </td>
                        <td>
                            <?php if (!$row->adIngressiTotali) { ?>
                                <?php echo $row->mesi ?> <?php echo ($row->mesi == 1 ? 'mese' : 'mesi') ?> 
                            <?php } else { ?>
                                -
                            <?php } ?>
                        </td>
                        <td>
                            <?php if ($row->ad_ingressi) { ?><?php echo $row->ingressi ?> <?php echo ($row->ingressi == 1 ? 'settimanale' : 'settimanali') ?><?php } ?> 
                            <?php if ($row->adIngressiTotali) { ?><?php echo $row->ingressiTotali ?> totali <?php } ?>
                        </td>
                        <td>
                            <?php echo $row->descrizione ?>
                        </td>
                        <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                            <td style="text-align: center">
                                <?php echo JHtml::_('jgrid.published', $row->published, $i, 'subscriptions.', true, 'cb'); ?>
                            </td>
                        <?php } ?>
                        <td style="" align="center">
                            <?php echo $row->idSubscription ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php endif; ?>
        </tbody>
    </table>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>